package cn.superdesk.uniorder.dao.mapper.invoice.customer.fundrestream;

import cn.superdesk.uniorder.dao.entity.invoice.customer.fundrestream.InvoiceBankStatement;
import cn.superdesk.uniorder.dao.entity.invoice.customer.fundrestream.InvoiceBankStatementExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface InvoiceBankStatementMapper {
    long countByExample(InvoiceBankStatementExample example);

    int deleteByExample(InvoiceBankStatementExample example);

    int deleteByPrimaryKey(Long id);

    int insert(InvoiceBankStatement record);

    int insertSelective(InvoiceBankStatement record);

    List<InvoiceBankStatement> selectByExample(InvoiceBankStatementExample example);

    InvoiceBankStatement selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") InvoiceBankStatement record, @Param("example") InvoiceBankStatementExample example);

    int updateByExample(@Param("record") InvoiceBankStatement record, @Param("example") InvoiceBankStatementExample example);

    int updateByPrimaryKeySelective(InvoiceBankStatement record);

    int updateByPrimaryKey(InvoiceBankStatement record);
}